Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	This plugin enables control of Xfmedia via a Xfce panel icon.
Name:		xfmedia-remote-plugin
Version:	0.2.2
Release:	2
License:	GNU/GPL
URL:		http://xfce-goodies.berlios.de
Source0:	%{name}-%{version}.tar.bz2
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Manual build dependencies
BuildRequires: xfmedia-devel

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: startup-notification-devel
BuildRequires: xfce4-panel-devel
BuildRequires: zlib-devel

%description
Xfmedia remote plugin enables control of Xfmedia media player via a Xfce panel 
icon. It includes ability to control playback (play, pause, stop, etc.) and 
playlist (add/remove songs) and more. 

%prep
%setup -q

%build
%configure --sysconfdir=%_sysconfdir/xfce
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libexecdir/xfce4/panel-plugins/xfmedia-remote-plugin
%_datadir/locale/*/LC_MESSAGES/xfmedia-remote-plugin.mo
%_datadir/xfce4/panel-plugins/xfmedia-remote.desktop

%changelog
* Tue Mar 17 2009 Christian Wasem <wasem@ccux-linux.de> 0.2.2-2
- Rebuild Against XFCE 4.6.0
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.2.2-1
- Initial Release
